org.apache.ivy.core.module.status

## Class StatusManager

- java.lang.Object
- - org.apache.ivy.core.module.status.StatusManager

    public class StatusManager
    extends java.lang.Object

Note: update methods (such as addStatus) should only be called BEFORE any call to accessor methods

### Constructor Summary

Constructors
Constructor and Description
`StatusManager()`
`StatusManager(Status[] status, java.lang.String defaultStatus)`

### Method Summary

Methods
`void` `addStatus(Status status)`
`static StatusManager` `getCurrent()`
`java.lang.String` `getDefaultStatus()`
`java.lang.String` `getDeliveryStatusListString()`
`int` `getPriority(java.lang.String status)`
`java.util.List` `getStatuses()`
`boolean` `isIntegration(java.lang.String status)`
`boolean` `isStatus(java.lang.String status)`
`static StatusManager` `newDefaultInstance()`
`void` `setDefaultStatus(java.lang.String defaultStatus)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusManager

    public StatusManager(Status[] status,
                 java.lang.String defaultStatus)

#### StatusManager

    public StatusManager()

### Method Detail

#### newDefaultInstance

    public static StatusManager newDefaultInstance()

#### getCurrent

    public static StatusManager getCurrent()

#### addStatus

    public void addStatus(Status status)

#### setDefaultStatus

    public void setDefaultStatus(java.lang.String defaultStatus)

#### getStatuses

    public java.util.List getStatuses()

#### isStatus

    public boolean isStatus(java.lang.String status)

#### getPriority

    public int getPriority(java.lang.String status)

#### isIntegration

    public boolean isIntegration(java.lang.String status)

#### getDeliveryStatusListString

    public java.lang.String getDeliveryStatusListString()

#### getDefaultStatus

    public java.lang.String getDefaultStatus()